%define uver    %(echo %{version}|sed 's/\\./-/g')

%define api     5.3
%define major   0
%define libname %mklibname pgm %{api} %{major}
%define devname %mklibname pgm -d

Name:          openpgm
Version:       5.3.128
Release:       %mkrel 1
Summary:       An implementation of the PGM reliable multicast protocol
Group:         System/Libraries
# The license is LGPLv2.1
License:       LGPLv2
URL:           https://github.com/steve-o/openpgm
Source0:       usr.tar.xz
BuildRequires: perl

%description
OpenPGM is an open source implementation of the Pragmatic General
Multicast (PGM) specification in RFC 3208.

%package -n %{libname}
Summary:       Library files for %{name}
Group:         System/Libraries
Obsoletes:     %{_lib}%{name}0 < %{version}-%{release}

%description -n %{libname}
This package contains OpenPGM libraries.

%package -n %{devname}
Summary:       Development files for %{name}
Group:         Development/Libraries
Requires:      %{libname} = %{version}-%{release}
Provides:      %{name}%{api}-devel = %{version}-%{release}
Provides:      %{name}-devel = %{version}-%{release}
Obsoletes:     %{_lib}%{name}-devel < %{version}-%{release}

%description -n %{devname}
This package contains OpenPGM related development libraries and header files.

%prep

%build

%install
rm -rf %buildroot
mkdir -p %buildroot
tar xf %SOURCE0 -C %buildroot

%files -n %{libname}
%{_libdir}/libpgm-%{api}.so.%{major}*

%files -n %{devname}
%{_includedir}/*
%{_libdir}/libpgm.so
%{_libdir}/pkgconfig/%{name}-%{api}.pc
%{_datadir}/doc/

%changelog
* Sun Apr 25 2021 tex - 5.3.128-1pclos2021
- new version
